#-----------------------------------------------------
# module Const
# ゲーム全体で使用される定数を定義する。
# ※rubyにおいて、equireした別のファイルの定数を
# 参照することができないことによる措置。
#-----------------------------------------------------

module Const
  AppVerision = "a3"
  AppWidth = 1280
  AppHeight = 720
  AppCaption = "機械の少女が紡いだ記憶 -中編 Ver.4.13　　　F11:全画面表示"
  AppFps = 60 # アプリケーションの動作クロック
  AppFrameSkip = true
  AppBgcolor = C_BLACK
  VolumeDefault = 80
  VolumeMax = 100
  VolumeMin = 0
  DefaultFontSize = 48
  Btest = false # テスト用
  Palette = {}
  Palette[:black]   = C_BLACK
  Palette[:white]   = C_WHITE
  Palette[:red]     = C_RED
  Palette[:green]   = C_GREEN
  Palette[:blue]    = C_BLUE
  Palette[:yellow]  = C_YELLOW
  Palette[:cyan]    = C_CYAN
  Palette[:magenta] = C_MAGENTA
  Palette[:default] = C_DEFAULT
  Palette[:sepia]   = [255, 0x62, 0x2d, 0x18]
  Palette[:grey]    = [255, 0xc0, 0xc0, 0xc0]
  Palette[:night]   = [255, 0x00, 0x00, 0x10]
end
